import { TtoC } from "../datetime/TtoC";
import { isEmpty } from "./isEmpty";
export const toString = (targetDate, dateFormat) => {
    if (!dateFormat) {
        dateFormat = "MDY";
    }
    let ret = "";
    if (isEmpty(targetDate)) {
        ret = "  /  /  ";
    }
    else {
        ret = TtoC(targetDate, 8, 0, dateFormat, null);
    }
    return ret;
};
//# sourceMappingURL=DtoC.js.map