import { GxDatetime } from "../../../types/gxdatetime";
/**
 * Allows scheduling some task on the end user's calendar. Every parameter is optional except for `title` and `startDate`.
 * @param {string} title
 * @param {GxDatetime} startDate
 * @param {GxDatetime} endDate
 * @param {GxDatetime} startTime
 * @param {GxDatetime} endTime
 * @param {string} place
 */
export declare const schedule: (title: string, startDate: GxDatetime, endDate: GxDatetime, startTime: GxDatetime, endTime: GxDatetime, place: string) => void;
export declare const createCalendarEvent: (start: GxDatetime, end: GxDatetime, title: string, place: string) => string;
