import { rTrim } from "./rTrim";
/**
 * Concatenates the two given strings using the optional separator
 * @param {string} value1 First string
 * @param {string} value2 Second string
 * @param {string} separator Optional separator
 * @return string
 */
export const concat = (value1, value2, separator = undefined) => {
    return rTrim(value1) + (separator ? separator : "") + value2;
};
//# sourceMappingURL=concat.js.map