import { sweepClassToObject } from "./type-conversions/sweepClassToObject";
import { sweepObjectToClass } from "./type-conversions/sweepObjectToClass";
export class GxSdtData {
    toJson() {
        return JSON.stringify(this.serialize());
    }
    fromJson(json) {
        this.initialize();
        Object.assign(this, this.deserialize(JSON.parse(json)));
    }
    initialize() {
        //
    }
    serialize() {
        return sweepClassToObject(this);
    }
    deserialize(obj) {
        if (obj) {
            return sweepObjectToClass(obj, this);
        }
    }
}
//# sourceMappingURL=gxsdt.js.map