export class GxVideo {
    constructor(url) {
        this.uri = url !== null && url !== void 0 ? url : "";
    }
    serialize() {
        return this.VideoURI;
    }
    deserialize(x) {
        return GxVideo.createVideo(x);
    }
    isEmpty() {
        return this.uri === "" || this.uri === null;
    }
    setEmpty() {
        this.uri = "";
    }
    get VideoName() {
        return new URL(this.uri).pathname
            .split("/")
            .pop()
            .split(".")[0];
    }
    get VideoType() {
        return new URL(this.uri).pathname
            .split("/")
            .pop()
            .split(".")[1];
    }
    get VideoURI() {
        return this.uri;
    }
    set VideoURI(uri) {
        this.uri = uri;
    }
    FromURL(uri) {
        this.uri = uri;
    }
    static createVideo(url) {
        const b = new GxVideo();
        b.uri = url;
        return b;
    }
}
//# sourceMappingURL=gxvideo.js.map