/**
 * Returns the number (1...7) of the day of the week. This number is associated with a day of the week (Sunday = 1).
 * @param {GxDate | GxDatetime} dateFrom
 * @return number
 */
import { GxDate } from "../types/gxdate";
import { GxDatetime } from "../types/gxdatetime";
export declare const dayOfWeek: (dateFrom: GxDate | GxDatetime) => number;
