/**
 * Returns a Date from its parts
 * @param {number} year
 * @param {number} month
 * @param {number} day
 * @param {number} hour
 * @param {number} minutes
 * @param {number} seconds
 * @param {number} milliseconds
 * @param {number} fy20c
 * @return GxDatetime
 */
import { GxDatetime } from "../types/gxdatetime";
export declare const newInstance: (year: number, month: number, day: number, hour: number, minutes: number, seconds: number, milliseconds?: number, fy20c?: number) => GxDatetime;
