"use strict";
/**
 * Sets the current timezone
 * @Parm timezone
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.setTimezone = void 0;
const timezone_1 = require("./timezone");
const configurationState_1 = require("../config/configurationState");
const setTimezone = (timezone) => {
    configurationState_1.ConfigurationState.getInstance().setDynStoredValue(timezone_1.storageKey, timezone);
};
exports.setTimezone = setTimezone;
//# sourceMappingURL=setTimezone.js.map