"use strict";
/**
 * To return a Date data type corresponding to a given DateTime data type.
 * @param {GxDatetime} dateFrom
 * @return GxDate
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.toDate = void 0;
const gxdate_1 = require("../types/gxdate");
const toDate = (dateFrom) => {
    return new gxdate_1.GxDate(dateFrom.getFullYear(), dateFrom.getMonth(), dateFrom.getDate());
};
exports.toDate = toDate;
//# sourceMappingURL=toDate.js.map