export declare class GxHttpClient {
    Host: string;
    _Port: number;
    Secure: number;
    BaseUrl: string;
    Timeout: number;
    Basic: number;
    Digest: number;
    IncludeCookies: boolean;
    EOF: boolean;
    ReasonLine: string;
    ErrCode: number;
    ErrDescription: string;
    StatusCode: number;
    Headers: {};
    Body: any;
    Variables: {};
    Files: any[];
    response: any;
    reader: any;
    decoder: TextDecoder;
    error: string;
    bodyObject: {};
    bodyString: string;
    objHeaders: {};
    contType: string;
    decodedChunk: string;
    done: boolean;
    stream: boolean;
    constructor(Port?: number);
    execute(method: string, url: string): Promise<any>;
    addHeader(name: string, value: string): void;
    addAuthentication(method: number, user: string, password: string): void;
    addString(stringText: string): void;
    addVariable(name: string, value: string): void;
    addFile(path: string, name?: string): void;
    getHeader(name: any): any;
    get Port(): number;
    set Port(Port: number);
    toString(): Promise<any>;
    toFile(nameFile: any): Promise<void>;
    readChunk(): Promise<string>;
    setReasonLine(): void;
    setErrorCode(): void;
    setErrDescription(): void;
    setStatusCode(): void;
    private objectToFormData;
    private objectToJson;
}
