"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.imageHeight = void 0;
const imageHeight = (image) => {
    const img = new Image();
    return new Promise((resolve, reject) => {
        img.onload = function () {
            resolve(img.height);
        };
        img.src = image.uri;
    });
};
exports.imageHeight = imageHeight;
//# sourceMappingURL=imageHeight.js.map