"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chooseImages = void 0;
const chooseImages = async () => {
    return new Promise((resolve, reject) => {
        const newInput = document.createElement("input");
        newInput.type = "file";
        newInput.accept = "image/*";
        newInput.multiple = true;
        newInput.hidden = true;
        document.body.appendChild(newInput);
        newInput.onchange = async (eventInfo) => {
            document.body.removeChild(newInput);
            resolve(newInput.files);
        };
        requestAnimationFrame(() => {
            newInput.click();
        });
    });
};
exports.chooseImages = chooseImages;
//# sourceMappingURL=chooseImages.js.map