"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatNumericField = void 0;
const formatNumber_1 = require("./formatNumber");
const pictureToFormat_1 = require("./pictureToFormat");
const formatNumericField = (value, picture) => {
    const format = (0, pictureToFormat_1.pictureToFormat)(picture);
    return (0, formatNumber_1.formatNumber)(value.toString(), picture, format.decimals, format.length, ".", ",", format.sign, false);
};
exports.formatNumericField = formatNumericField;
//# sourceMappingURL=formatNumericField.js.map