"use strict";
/**
 * Return a substring from a given string
 * @param startPosition
 * @param length
 * @return string
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.subString = void 0;
const subString = (target, startPosition, length) => {
    if (length === undefined) {
        length = -1;
    }
    return length < 0
        ? Array.from(target)
            .slice(startPosition - 1)
            .join("")
        : Array.from(target)
            .slice(startPosition - 1, startPosition - 1 + length)
            .join("");
};
exports.subString = subString;
//# sourceMappingURL=subString.js.map