import { IBlob } from "./IBlob";
import { ISerializable } from "./type-serialization";
export declare class GxBinary implements IBlob, ISerializable {
    uri: string;
    name: string;
    constructor();
    serialize(): string;
    deserialize(x: any): GxBinary;
    toString(): string;
    fromString(uri: string): void;
    isEmpty(): boolean;
    setEmpty(): void;
    get FileName(): string;
    get FileType(): string;
    get FileURI(): string;
    set FileURI(uri: string);
    FromURL(uri: string): void;
    toBase64String(): void;
    fromBase64String(s: string): void;
    static create(b1: GxBinary): GxBinary;
    static createBinary(url: string): GxBinary;
    static createBinaryFromObject(b1: object): GxBinary;
}
