"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GxSdtData = void 0;
const sweepClassToObject_1 = require("./type-conversions/sweepClassToObject");
const sweepObjectToClass_1 = require("./type-conversions/sweepObjectToClass");
class GxSdtData {
    toJson() {
        return JSON.stringify(this.serialize());
    }
    fromJson(json) {
        this.initialize();
        Object.assign(this, this.deserialize(JSON.parse(json)));
    }
    initialize() {
        //
    }
    serialize() {
        return (0, sweepClassToObject_1.sweepClassToObject)(this);
    }
    deserialize(obj) {
        if (obj) {
            return (0, sweepObjectToClass_1.sweepObjectToClass)(obj, this);
        }
    }
}
exports.GxSdtData = GxSdtData;
//# sourceMappingURL=gxsdt.js.map