"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateToQSString = void 0;
const isEmpty_1 = require("./isEmpty");
const isValidDate_1 = require("./isValidDate");
const dateToArray_1 = require("./dateToArray");
// Querystring minimal date/datetime/time functions
const dateToQSString = (d) => {
    // YYYYMMDD
    if (!(0, isEmpty_1.isEmpty)(d) && (0, isValidDate_1.isValidDate)(d)) {
        const s = (0, dateToArray_1.dateToArray)(d);
        return (("000" + s[0]).slice(-4) +
            ("0" + (s[1] + 1)).slice(-2) +
            ("0" + s[2]).slice(-2));
    }
    return "";
};
exports.dateToQSString = dateToQSString;
//# sourceMappingURL=dateToQSString.js.map