"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.datetimeToQSString = void 0;
const dateToArray_1 = require("./dateToArray");
const isEmpty_1 = require("./isEmpty");
const isValidDate_1 = require("./isValidDate");
const datetimeToQSString = (d) => {
    // YYYYMMDDHHMMSS
    if (!(0, isEmpty_1.isEmpty)(d) && (0, isValidDate_1.isValidDate)(d)) {
        const s = (0, dateToArray_1.dateToArray)(d);
        return (("000" + s[0]).slice(-4) +
            ("0" + (s[1] + 1)).slice(-2) +
            ("0" + s[2]).slice(-2) +
            ("0" + s[3]).slice(-2) +
            ("0" + s[4]).slice(-2) +
            ("0" + s[5]).slice(-2));
    }
    return "";
};
exports.datetimeToQSString = datetimeToQSString;
//# sourceMappingURL=datetimeToQSString.js.map