"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidGxDate = void 0;
const gxdate_1 = require("../gxdate");
const gxdatetime_1 = require("../gxdatetime");
const isValidGxDate = (d) => {
    return ((d instanceof gxdate_1.GxDate || d instanceof gxdatetime_1.GxDatetime) &&
        !isNaN(d.getTime()) &&
        d.getFullYear() >= 0);
};
exports.isValidGxDate = isValidGxDate;
//# sourceMappingURL=isValidGxDate.js.map