/**
 * Returns the difference, in years, between the two parameters.
 * If the second parameter, which is optional, is omitted, then the default value is the value returned by the function Today()
 * @param {GxDate | GxDatetime} dateFrom
 * @param {GxDate | GxDatetime} dateTo
 * @return number
 */
import { GxDate } from "../types/gxdate";
import { GxDatetime } from "../types/gxdatetime";
export declare const age: (dateFrom: GxDate | GxDatetime, dateTo?: GxDate | GxDatetime) => number;
