/**
 * Returns a DateTime value corresponding to adding milliseconds to a DateTime data type value.
 * @param {GxDatetime} dateFrom
 * @param {number} millisecconds
 * @return GxDatetime
 */
import { GxDatetime } from "../types/gxdatetime";
export const addMilliseconds = (dateFrom, milliseconds) => {
    let ret = new GxDatetime();
    ret.setTime(dateFrom.getTime() + milliseconds);
    return ret;
};
//# sourceMappingURL=addMilliseconds.js.map