import { publishCall } from "../../../misc/publishCall";
/**
 * Sets a badge text on a tab index when using a Menu object with Control Type = Tabs
 * @param {string} text
 * @param {number} tabIndex
 * @return any
 */
export const setBadgeText = async (text, tabIndex) => {
    let resolver = (opt, value, resolve) => resolve();
    return publishCall("iOSSetBadgeTextToTabIndex", ["ok"], resolver, text, tabIndex);
};
//# sourceMappingURL=setBadgeText.js.map