import { publishCall } from "./publishCall";
/**
 * Displays a message that allows capturing end user confirmation
 * @param {string} message The message to be displayed
 * @return boolean
 */
export const confirm = async (str) => {
    let resolver = (option, _, resolve) => {
        resolve(option === "ok");
    };
    return publishCall("confirm", ["ok", "cancel"], resolver, str);
};
//# sourceMappingURL=confirm.js.map