import { publishCall } from "./publishCall";
/**
 * Displays a message to the user
 * @param {string} message The message to be displayed
 * @param {string} mode Optional parameter. There are two modes to display the message: `nowait` and `status`
 */
export const msg = (str, mode = "") => {
    let resolver = (option, _, resolve) => {
        resolve();
    };
    return publishCall("msg", ["ok"], resolver, str, mode);
};
//# sourceMappingURL=msg.js.map