import { ISerializable } from "./type-serialization";
export declare class GxDatetime extends Date implements ISerializable {
    serialize(): string;
    deserialize(isoDatetime: string): GxDatetime;
    static serializeUTC(datetime: Date, utcToLocal?: boolean): string;
    static deserializeUTC(isoDatetime: string, utcToLocal?: boolean): GxDatetime;
    static createFromDate(d: Date): GxDatetime;
    fromISOString(isoDate: string): GxDatetime;
    static compare(GxDatetime1: GxDatetime, GxDatetime2: GxDatetime): boolean;
}
