import { GxBigNumber } from "../types/gxbignumber";
export declare class GxExpression {
    Expression: string;
    ErrCode: number;
    ErrDescription: string;
    Variables: {
        set: (name: string, value: string | number | GxBigNumber) => void;
        get: (name: string) => string | number | GxBigNumber;
        [key: string]: any;
    };
    constructor();
    setExpression(expr: any): void;
    setErrCode(num: any): void;
    setErrDescription(text: any): void;
    evaluate(): GxBigNumber;
}
