import { isSerializable } from "../type-serialization";
import { sweepClassToObject } from "./sweepClassToObject";
export const classToObject = (obj, type = null) => {
    if (isSerializable(obj)) {
        return obj.serialize();
    }
    else if (typeof obj === "object") {
        return sweepClassToObject(obj);
    }
    else {
        return obj;
    }
};
//# sourceMappingURL=classToObject.js.map