"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatNumericFieldBigNumber = void 0;
const formatNumber_1 = require("../numeric/formatNumber");
const pictureToFormat_1 = require("../numeric/pictureToFormat");
const gxbignumber_1 = require("../types/gxbignumber");
const formatNumericFieldBigNumber = (value, picture) => {
    const format = (0, pictureToFormat_1.pictureToFormat)(picture);
    return (0, formatNumber_1.formatNumber)(gxbignumber_1.GxBigNumber.convertBigNumberToString(value), picture, format.decimals, format.length, ".", ",", format.sign, false);
};
exports.formatNumericFieldBigNumber = formatNumericFieldBigNumber;
//# sourceMappingURL=formatNumericField.js.map