"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.integerBigNumber = void 0;
const gxbignumber_1 = require("../types/gxbignumber");
/**
 * Returns an integer value representing the integer part of the received parameter.
 * @param {GxBigNumber} target
 * @returns GxBigNumber
 */
const integerBigNumber = (target) => {
    return gxbignumber_1.GxBigNumber.convertToInt(target);
};
exports.integerBigNumber = integerBigNumber;
//# sourceMappingURL=integer.js.map