"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmptyBigNumber = void 0;
/**
 * Returns true if the received number represents the empty value (i.e., zero).
 * @param {GxBigNumber} target
 * @returns boolean
 */
const isEmptyBigNumber = (target) => {
    if (target.intNumberAll === BigInt(0)) {
        return true;
    }
    else {
        return false;
    }
};
exports.isEmptyBigNumber = isEmptyBigNumber;
//# sourceMappingURL=isEmpty.js.map