"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toString = void 0;
const TtoC_1 = require("../datetime/TtoC");
const isEmpty_1 = require("./isEmpty");
const toString = (targetDate, dateFormat) => {
    if (!dateFormat) {
        dateFormat = "MDY";
    }
    let ret = "";
    if ((0, isEmpty_1.isEmpty)(targetDate)) {
        ret = "  /  /  ";
    }
    else {
        ret = (0, TtoC_1.TtoC)(targetDate, 8, 0, dateFormat, null);
    }
    return ret;
};
exports.toString = toString;
//# sourceMappingURL=DtoC.js.map