/**
 * Returns the name of the month for the given date in the selected language.
 * @param {GxDate | GxDatetime} dateFrom
 * @param {string} language
 * @return string
 */
import { GxDate } from "../types/gxdate";
import { GxDatetime } from "../types/gxdatetime";
export declare const monthName: (dateFrom: GxDate | GxDatetime, language?: string) => string;
