"use strict";
/**
 * To add hours to a datetime.
 * @param {GxDatetime} dateFrom
 * @param {number} hours
 * @return Date
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addHours = void 0;
const gxdatetime_1 = require("../types/gxdatetime");
const core_1 = require("./core");
const addHours = (dateFrom, hours) => {
    return new gxdatetime_1.GxDatetime(dateFrom.getTime() + (0, core_1.hoursToMilliseconds)(hours));
};
exports.addHours = addHours;
//# sourceMappingURL=addHours.js.map