"use strict";
/**
 * Returns a DateTime value corresponding to adding milliseconds to a DateTime data type value.
 * @param {GxDatetime} dateFrom
 * @param {number} millisecconds
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMilliseconds = void 0;
const gxdatetime_1 = require("../types/gxdatetime");
const addMilliseconds = (dateFrom, milliseconds) => {
    let ret = new gxdatetime_1.GxDatetime();
    ret.setTime(dateFrom.getTime() + milliseconds);
    return ret;
};
exports.addMilliseconds = addMilliseconds;
//# sourceMappingURL=addMilliseconds.js.map