"use strict";
/**
 * To add minutes to a datetime.
 * @param {GxDatetime} dateFrom
 * @param {number} minutes
 * @return GxDatetime
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMinutes = void 0;
const gxdatetime_1 = require("../types/gxdatetime");
const core_1 = require("./core");
const addMinutes = (dateFrom, minutes) => {
    return new gxdatetime_1.GxDatetime(dateFrom.getTime() + (0, core_1.minutesToMilliseconds)(minutes));
};
exports.addMinutes = addMinutes;
//# sourceMappingURL=addMinutes.js.map