"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.secondsToMilliseconds = exports.minutesToMilliseconds = exports.hoursToMilliseconds = void 0;
const milisecondsPerSecond = 1000;
const secondsPerMinute = 60;
const minutesPerHour = 60;
const hoursToMilliseconds = (hours) => {
    return hours * minutesPerHour * secondsPerMinute * milisecondsPerSecond;
};
exports.hoursToMilliseconds = hoursToMilliseconds;
const minutesToMilliseconds = (minutes) => {
    return minutes * secondsPerMinute * milisecondsPerSecond;
};
exports.minutesToMilliseconds = minutesToMilliseconds;
const secondsToMilliseconds = (seconds) => {
    return seconds * milisecondsPerSecond;
};
exports.secondsToMilliseconds = secondsToMilliseconds;
//# sourceMappingURL=core.js.map