"use strict";
/**
 * It returns the current difference –in minutes– between CTZ and UTC.
 * @return number
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.currentOffset = void 0;
const luxon_1 = require("luxon");
const getTimezone_1 = require("./getTimezone");
const currentOffset = () => {
    return luxon_1.DateTime.local().setZone((0, getTimezone_1.getTimezone)()).offset;
};
exports.currentOffset = currentOffset;
//# sourceMappingURL=currentOffset.js.map