/**
 * This method converts a DateTime value from one timezone, to another.
 * The first one is passed as a parameter of the method, while the second one is the current timezone of the process executing the method.
 * @Param GxDatetime
 * @return GxDatetime
 */
import { timezones } from "./timezone";
import { GxDatetime } from "../types/gxdatetime";
export declare const fromTimezone: (fromDate: GxDatetime, timezoneFrom: timezones) => GxDatetime;
