"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clear = clear;
const common_1 = require("./common");
/**
 * Clears all pairs of key-values stored in the device
 */
function clear() {
    if (!common_1.storage) {
        return;
    }
    for (let i = common_1.storage.length - 1; i >= 0; i--) {
        let key = common_1.storage.key(i);
        if (key.startsWith(common_1.keyPrefix)) {
            common_1.storage.removeItem(key);
        }
    }
}
//# sourceMappingURL=clear.js.map