"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activeInsights = void 0;
const applicationinsights_web_1 = require("@microsoft/applicationinsights-web");
const activeInsights = (token) => {
    const appInsights = new applicationinsights_web_1.ApplicationInsights({
        config: {
            instrumentationKey: token,
            enableAutoRouteTracking: true
        }
    });
    appInsights.loadAppInsights();
    appInsights.trackPageView();
};
exports.activeInsights = activeInsights;
//# sourceMappingURL=insights.js.map