"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendEmail = void 0;
const openInBrowser_1 = require("./openInBrowser");
/**
 * @param to
 * @param subject
 * @param message
 */
const sendEmail = (to, subject, message) => {
    let uri = "mailTo:" + to;
    let paramSeparator = "?";
    if (subject) {
        uri += paramSeparator + "subject=" + encodeURIComponent(subject);
        paramSeparator = "&";
    }
    if (message) {
        uri += paramSeparator + "&body=" + encodeURIComponent(message);
        paramSeparator = "&";
    }
    (0, openInBrowser_1.openInBrowser)(uri);
};
exports.sendEmail = sendEmail;
//# sourceMappingURL=sendEmail.js.map