"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setBadgeText = void 0;
const publishCall_1 = require("../../../misc/publishCall");
/**
 * Sets a badge text on a tab index when using a Menu object with Control Type = Tabs
 * @param {string} text
 * @param {number} tabIndex
 * @return any
 */
const setBadgeText = async (text, tabIndex) => {
    let resolver = (opt, value, resolve) => resolve();
    return (0, publishCall_1.publishCall)("iOSSetBadgeTextToTabIndex", ["ok"], resolver, text, tabIndex);
};
exports.setBadgeText = setBadgeText;
//# sourceMappingURL=setBadgeText.js.map