"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.imageWidth = void 0;
const imageWidth = (image) => {
    const img = new Image();
    return new Promise((resolve, reject) => {
        img.onload = function () {
            resolve(img.width);
        };
        img.src = image.uri;
    });
};
exports.imageWidth = imageWidth;
//# sourceMappingURL=imageWidth.js.map