"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.multiply = void 0;
const gxbignumber_1 = require("../types/gxbignumber");
const multiply = (num1, num2) => {
    const a = new gxbignumber_1.GxBigNumber(num1);
    const b = new gxbignumber_1.GxBigNumber(num2);
    const d = a.decimals + b.decimals;
    return gxbignumber_1.GxBigNumber.normalizePrecision(gxbignumber_1.GxBigNumber.fromBigInt(a.intNumberAll * b.intNumberAll, d));
};
exports.multiply = multiply;
//# sourceMappingURL=multiply.js.map