"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirm = void 0;
const publishCall_1 = require("./publishCall");
/**
 * Displays a message that allows capturing end user confirmation
 * @param {string} message The message to be displayed
 * @return boolean
 */
const confirm = async (str) => {
    let resolver = (option, _, resolve) => {
        resolve(option === "ok");
    };
    return (0, publishCall_1.publishCall)("confirm", ["ok", "cancel"], resolver, str);
};
exports.confirm = confirm;
//# sourceMappingURL=confirm.js.map