"use strict";
/**
 * @param Returns a string resulting from replacing all the occurrences of pattern in target by repstr
 * @param replaceString
 * @return string
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceRegExp = void 0;
const gxRegEx_1 = require("../types/gxRegEx");
const replaceRegExp = (target, pattern, repstr) => {
    try {
        new gxRegEx_1.GxRegEx(0, "");
        let regularExp = typeof pattern === "string" ? new RegExp(pattern, "g") : pattern;
        return target.replace(regularExp, repstr);
    }
    catch (err) {
        new gxRegEx_1.GxRegEx(1, err.message);
        return "";
    }
};
exports.replaceRegExp = replaceRegExp;
//# sourceMappingURL=replaceRegExp.js.map