import { ISerializable } from "./type-serialization";
export declare class GxDate extends Date implements ISerializable {
    serialize(): string;
    deserialize(isoDate: string): GxDate;
    fromISOString(isoDate: string): GxDate;
    static createFromDate(d: Date): GxDate;
    static compare(GxDate1: GxDate, GxDate2: GxDate): boolean;
}
