"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.classToObject = void 0;
const type_serialization_1 = require("../type-serialization");
const sweepClassToObject_1 = require("./sweepClassToObject");
const classToObject = (obj, type = null) => {
    if ((0, type_serialization_1.isSerializable)(obj)) {
        return obj.serialize();
    }
    else if (typeof obj === "object") {
        return (0, sweepClassToObject_1.sweepClassToObject)(obj);
    }
    else {
        return obj;
    }
};
exports.classToObject = classToObject;
//# sourceMappingURL=classToObject.js.map