"use strict";
// Serialization date/datetime/time functions
//    * Empty date = '0000-00-00'
//    * Empty datetime = '0000-00-00T00:00:00'
//    * Empty time = '00:00:00'
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerializeDateToISOString = void 0;
const dateToISOString_1 = require("./dateToISOString");
const isEmpty_1 = require("./isEmpty");
const SerializeDateToISOString = (d) => {
    if (!(0, isEmpty_1.isEmpty)(d)) {
        return (0, dateToISOString_1.dateToISOString)(d);
    }
    return "0000-00-00T00:00:00";
};
exports.SerializeDateToISOString = SerializeDateToISOString;
//# sourceMappingURL=serializeDateToISOString.js.map